services:
  mediamtx:
    image: bluenviron/mediamtx:1.14.0-ffmpeg
    container_name: mediamtx
    environment:
      MTX_RTSPTRANSPORTS: tcp
      MTX_WEBRTCADDITIONALHOSTS: 192.168.2.200
    ports:
      - "8554:8554"
      - "1935:1935"
      - "9888:8888"
      - "9889:8889"
      - "8890:8890/udp"
      - "8189:8189/udp"
    stdin_open: true
    tty: true
    volumes:
      - /opt/mediamtx/mediamtx.yml:/mediamtx.yml:ro
      - /mnt/yotta/radon/mediamtx:/recordings
    restart: unless-stopped

# vlc --network-caching=50 rtsp://192.168.2.200:8554/mystream
